mstrmojo.requiresCls("mstrmojo.vi.models.editors.CustomVisEditorModel");

const { WIDGET_TYPE: $WT } = mstrmojo.vi.models.editors.CustomVisEditorModel;

mstrmojo.plugins.SampleViz.SampleVizEditorModel = mstrmojo.declare(
  mstrmojo.vi.models.editors.CustomVisEditorModel,
  null,
  {
    scriptClass: "mstrmojo.plugins.SampleViz.SampleVizEditorModel",
    cssClass: "sampleviz-editor-model",
    getCustomProperty() {
      return [
        {
          name: "Demo Custom Vis",
          value: [],
        },
      ];
    },
  }
);
